Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
sites
/
{site-id}
/
stats
Retrieve SiteEquipmentStats for given Site
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/sites/{site-id}/stats \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "site": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "lat": "<string>",
      "lon": "<string>",
      "full_address": "<string>",
      "routable": true,
      "discarded_at": "2023-11-07T05:31:56Z",
      "address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "next_billion_geofence": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "geofence": {
          "name": "<string>",
          "type": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "geojson": {
            "type": "<string>",
            "coordinates": [
              [
                [
                  "<unknown>"
                ]
              ]
            ]
          },
          "circle_center": {
            "lat": 123,
            "lon": 123
          },
          "circle_radius": 123,
          "tag": "pickup"
        },
        "moving_geofence": false,
        "tag": "scaling",
        "geofence_type": "moving"
      }
    },
    "on_site_equipment_count": 123,
    "en_route_equipment_count": 123,
    "avg_onsite_time_minutes": 123,
    "last_geofence_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Company ID

site-id
string
required

Site ID

Response

OK

data
SiteEquipmentStats-Read · object
required